# Securities Transfers events

Securities Transfers events

Endpoint: POST Securities Transfers events
Version: 1.159.0

## Request fields (application/json):

  - `id` (string, required)
    Event unique identifier

  - `created_at` (string, required)
    Date and time when the event was created. [RFC 3339-5](https://datatracker.ietf.org/doc/html/rfc3339#section-5.6), [ISO8601 UTC](https://www.iso.org/iso-8601-date-and-time-format.html)

  - `type` (string, required)
    Event type
    Enum: "SECURITIES_TRANSFER.NEW", "SECURITIES_TRANSFER.PROCESSING", "SECURITIES_TRANSFER.SETTLED", "SECURITIES_TRANSFER.CANCELLED", "SECURITIES_TRANSFER.DATA_CHANGED"

  - `object` (object, required)
    A securities transfer, which moves a position in a single instrument between an Upvest account and an external custodian.

  - `object.id` (string, required)
    The unique identifier of the securities transfer, as a UUID.

  - `object.created_at` (string, required)
    Date and time when the resource was created. [RFC 3339-5](https://datatracker.ietf.org/doc/html/rfc3339#section-5.6), [ISO8601 UTC](https://www.iso.org/iso-8601-date-and-time-format.html)

  - `object.updated_at` (string, required)
    Date and time when the resource was last updated. [RFC 3339-5](https://datatracker.ietf.org/doc/html/rfc3339#section-5.6), [ISO8601 UTC](https://www.iso.org/iso-8601-date-and-time-format.html)

  - `object.direction` (string, required)
    Direction of the securities transfer
* `INCOMING` - Securities transfer is incoming to the user.
* `OUTGOING` - Securities transfer is outgoing from the user.
    Enum: "INCOMING", "OUTGOING"

  - `object.status` (string, required)
    Status of the securities transfer
* `NEW` - Securities transfer is created but not started processing.
* `PROCESSING` - Securities transfer is in processing.
* `SETTLED` - Securities transfer was successfully settled.
* `CANCELLED` - Securities transfer was cancelled.
    Enum: "NEW", "PROCESSING", "SETTLED", "CANCELLED"

  - `object.transfer_type` (string, required)
    Type of the securities transfer
* `NO_OWNER_CHANGE` - No change of ownership.
    Enum: "NO_OWNER_CHANGE"

  - `object.instrument_id` (string, required)
    `ISIN` or other identity (depends on instrument_id_type) of the security to be transferred.

  - `object.instrument_id_type` (string, required)
    The kind of identifier given in `instrument_id`.
* ISIN — International Securities Identification Number.
    Enum: "ISIN"

  - `object.quantity` (string, required)
    The quantity of instrument to move in or out.

  - `object.quantity_settled` (string)
    The quantity of instruments settled.

  - `object.user_id` (string)
    The ID of the user. Either user_id or business_id is returned.

  - `object.business_id` (string)
    The ID of the business. Either user_id or business_id is returned.

  - `object.account_id` (string, required)
    Universally Unique Identifier (UUID) of the account.

  - `object.place_of_settlement` (string)
    Business Identifier Code (also known as SWIFT-BIC, BIC, SWIFT ID or SWIFT code) [ISO 9362](https://en.wikipedia.org/wiki/ISO_9362).

  - `object.settlement_reference` (string, required)
    A reference for the securities transfer, set by the client and useful for correlating the transfer with client-side records.

  - `object.counterparty` (any, required)
    Counterparty for securities transfer. The `type` field determines which counterparty variant is present in the payload.

  - `object.counterparty.type` (string, required)
    Type of the counterparty.

  - `object.counterparty.id` (string, required)
    Business Identifier Code (also known as SWIFT-BIC, BIC, SWIFT ID or SWIFT code) [ISO 9362](https://en.wikipedia.org/wiki/ISO_9362).

  - `object.counterparty.account_number` (string)
    The account number is composed of valid Swift charset with a max length of 28 if provided. The account number helps other brokers identify the owner of the assets.

  - `object.counterparty.name` (string)
    The name is going to be split into 4 lines of 35 characters, the split is space based. This means that even if the name is exactly 140 of length, we may drop out the last parts if they don't fit into 4x35.

  - `object.settlement_counterparties` (object)
    Settlement counterparties for the securities transfer.
When `settlement_counterparties` is provided, `settlement_agent` is required. Other participants are optional but must respect the following dependency rules:
* `settlement_custodian` presence requires `settlement_party` to be present.
* `settlement_intermediary_1` presence requires `settlement_custodian` to be present.
* `settlement_intermediary_2` presence requires `settlement_intermediary_1` to be present.

Note: `settlement_custodian` can be provided without an explicit `settlement_party` since the default `counterparty` field at transfer level serves as the settlement party.

  - `object.settlement_counterparties.settlement_agent` (object, required)
    A participant in the settlement chain, identified by an identification and an optional account.

  - `object.settlement_counterparties.settlement_agent.identification` (object, required)
    Identification of a settlement counterparty.
* `BIC` Party identified by BIC.
* `PROPRIETARY` Party identified by a proprietary code under a Data Source Scheme.
* `NAME_AND_ADDRESS` Party identified by name and address.

  - `object.settlement_counterparties.settlement_agent.identification.type` (string, required)
    Type of identification.
* `BIC` - Party identified by BIC.
* `PROPRIETARY` - Party identified by a proprietary code under a Data Source Scheme.
* `NAME_AND_ADDRESS` - Party identified by name and address.
    Enum: "BIC", "PROPRIETARY", "NAME_AND_ADDRESS"

  - `object.settlement_counterparties.settlement_agent.identification.value` (string, required)
    Identification value. The format depends on the `type`:
* For `BIC`: A valid BIC code.
* For `PROPRIETARY`: A proprietary identifier under the given `scheme`.
* For `NAME_AND_ADDRESS`: Name and address of the party.

  - `object.settlement_counterparties.settlement_agent.identification.scheme` (string)
    ISO Data Source Scheme code. **Required** when `type` is `PROPRIETARY`. Identifies the source of the proprietary identification (e.g. `CRST`, `DAKV`, `CEDE`).

  - `object.settlement_counterparties.settlement_agent.account` (object)
    Account of a settlement counterparty.
* `SAFE` - Safekeeping account.

  - `object.settlement_counterparties.settlement_agent.account.type` (string, required)
    Type of the account.
* `SAFE` - Safekeeping account.
    Enum: "SAFE"

  - `object.settlement_counterparties.settlement_agent.account.value` (string, required)
    Account identifier value.

  - `object.settlement_counterparties.settlement_custodian` (object)
    A participant in the settlement chain, identified by an identification and an optional account.

  - `object.settlement_counterparties.settlement_custodian.identification` (object, required)
    Identification of a settlement counterparty.
* `BIC` Party identified by BIC.
* `PROPRIETARY` Party identified by a proprietary code under a Data Source Scheme.
* `NAME_AND_ADDRESS` Party identified by name and address.

  - `object.settlement_counterparties.settlement_custodian.identification.type` (string, required)
    Type of identification.
* `BIC` - Party identified by BIC.
* `PROPRIETARY` - Party identified by a proprietary code under a Data Source Scheme.
* `NAME_AND_ADDRESS` - Party identified by name and address.
    Enum: "BIC", "PROPRIETARY", "NAME_AND_ADDRESS"

  - `object.settlement_counterparties.settlement_custodian.identification.value` (string, required)
    Identification value. The format depends on the `type`:
* For `BIC`: A valid BIC code.
* For `PROPRIETARY`: A proprietary identifier under the given `scheme`.
* For `NAME_AND_ADDRESS`: Name and address of the party.

  - `object.settlement_counterparties.settlement_custodian.identification.scheme` (string)
    ISO Data Source Scheme code. **Required** when `type` is `PROPRIETARY`. Identifies the source of the proprietary identification (e.g. `CRST`, `DAKV`, `CEDE`).

  - `object.settlement_counterparties.settlement_custodian.account` (object)
    Account of a settlement counterparty.
* `SAFE` - Safekeeping account.

  - `object.settlement_counterparties.settlement_custodian.account.type` (string, required)
    Type of the account.
* `SAFE` - Safekeeping account.
    Enum: "SAFE"

  - `object.settlement_counterparties.settlement_custodian.account.value` (string, required)
    Account identifier value.

  - `object.settlement_counterparties.settlement_intermediary_1` (object)
    A participant in the settlement chain, identified by an identification and an optional account.

  - `object.settlement_counterparties.settlement_intermediary_1.identification` (object, required)
    Identification of a settlement counterparty.
* `BIC` Party identified by BIC.
* `PROPRIETARY` Party identified by a proprietary code under a Data Source Scheme.
* `NAME_AND_ADDRESS` Party identified by name and address.

  - `object.settlement_counterparties.settlement_intermediary_1.identification.type` (string, required)
    Type of identification.
* `BIC` - Party identified by BIC.
* `PROPRIETARY` - Party identified by a proprietary code under a Data Source Scheme.
* `NAME_AND_ADDRESS` - Party identified by name and address.
    Enum: "BIC", "PROPRIETARY", "NAME_AND_ADDRESS"

  - `object.settlement_counterparties.settlement_intermediary_1.identification.value` (string, required)
    Identification value. The format depends on the `type`:
* For `BIC`: A valid BIC code.
* For `PROPRIETARY`: A proprietary identifier under the given `scheme`.
* For `NAME_AND_ADDRESS`: Name and address of the party.

  - `object.settlement_counterparties.settlement_intermediary_1.identification.scheme` (string)
    ISO Data Source Scheme code. **Required** when `type` is `PROPRIETARY`. Identifies the source of the proprietary identification (e.g. `CRST`, `DAKV`, `CEDE`).

  - `object.settlement_counterparties.settlement_intermediary_1.account` (object)
    Account of a settlement counterparty.
* `SAFE` - Safekeeping account.

  - `object.settlement_counterparties.settlement_intermediary_1.account.type` (string, required)
    Type of the account.
* `SAFE` - Safekeeping account.
    Enum: "SAFE"

  - `object.settlement_counterparties.settlement_intermediary_1.account.value` (string, required)
    Account identifier value.

  - `object.settlement_counterparties.settlement_intermediary_2` (object)
    A participant in the settlement chain, identified by an identification and an optional account.

  - `object.settlement_counterparties.settlement_intermediary_2.identification` (object, required)
    Identification of a settlement counterparty.
* `BIC` Party identified by BIC.
* `PROPRIETARY` Party identified by a proprietary code under a Data Source Scheme.
* `NAME_AND_ADDRESS` Party identified by name and address.

  - `object.settlement_counterparties.settlement_intermediary_2.identification.type` (string, required)
    Type of identification.
* `BIC` - Party identified by BIC.
* `PROPRIETARY` - Party identified by a proprietary code under a Data Source Scheme.
* `NAME_AND_ADDRESS` - Party identified by name and address.
    Enum: "BIC", "PROPRIETARY", "NAME_AND_ADDRESS"

  - `object.settlement_counterparties.settlement_intermediary_2.identification.value` (string, required)
    Identification value. The format depends on the `type`:
* For `BIC`: A valid BIC code.
* For `PROPRIETARY`: A proprietary identifier under the given `scheme`.
* For `NAME_AND_ADDRESS`: Name and address of the party.

  - `object.settlement_counterparties.settlement_intermediary_2.identification.scheme` (string)
    ISO Data Source Scheme code. **Required** when `type` is `PROPRIETARY`. Identifies the source of the proprietary identification (e.g. `CRST`, `DAKV`, `CEDE`).

  - `object.settlement_counterparties.settlement_intermediary_2.account` (object)
    Account of a settlement counterparty.
* `SAFE` - Safekeeping account.

  - `object.settlement_counterparties.settlement_intermediary_2.account.type` (string, required)
    Type of the account.
* `SAFE` - Safekeeping account.
    Enum: "SAFE"

  - `object.settlement_counterparties.settlement_intermediary_2.account.value` (string, required)
    Account identifier value.

  - `object.settlement_counterparties.settlement_party` (object)
    A participant in the settlement chain, identified by an identification and an optional account.

  - `object.settlement_counterparties.settlement_party.identification` (object, required)
    Identification of a settlement counterparty.
* `BIC` Party identified by BIC.
* `PROPRIETARY` Party identified by a proprietary code under a Data Source Scheme.
* `NAME_AND_ADDRESS` Party identified by name and address.

  - `object.settlement_counterparties.settlement_party.identification.type` (string, required)
    Type of identification.
* `BIC` - Party identified by BIC.
* `PROPRIETARY` - Party identified by a proprietary code under a Data Source Scheme.
* `NAME_AND_ADDRESS` - Party identified by name and address.
    Enum: "BIC", "PROPRIETARY", "NAME_AND_ADDRESS"

  - `object.settlement_counterparties.settlement_party.identification.value` (string, required)
    Identification value. The format depends on the `type`:
* For `BIC`: A valid BIC code.
* For `PROPRIETARY`: A proprietary identifier under the given `scheme`.
* For `NAME_AND_ADDRESS`: Name and address of the party.

  - `object.settlement_counterparties.settlement_party.identification.scheme` (string)
    ISO Data Source Scheme code. **Required** when `type` is `PROPRIETARY`. Identifies the source of the proprietary identification (e.g. `CRST`, `DAKV`, `CEDE`).

  - `object.settlement_counterparties.settlement_party.account` (object)
    Account of a settlement counterparty.
* `SAFE` - Safekeeping account.

  - `object.settlement_counterparties.settlement_party.account.type` (string, required)
    Type of the account.
* `SAFE` - Safekeeping account.
    Enum: "SAFE"

  - `object.settlement_counterparties.settlement_party.account.value` (string, required)
    Account identifier value.

  - `object.trade_date` (string, required)
    The forecast date when the trade takes place. Date in YYYY-MM-DD format.

  - `object.settlement_date` (string, required)
    The forecast date when the settlement takes place. Date in YYYY-MM-DD format.

  - `object.actual_settlement_date` (string)
    The date when the transfer settled, only known in `SETTLED` status. Date in YYYY-MM-DD format.

  - `object.order_date` (string)
    Optional. Date the transfer request was received from the end user. The regulatory deadline runs from this date. Date in YYYY-MM-DD format.

  - `object.delay_reason` (string)
    Categorised reason why a securities transfer is delayed past the regulatory deadline.
* `COUNTERPARTY_NOT_INSTRUCTING` - The counterparty has not yet instructed the transfer.
* `COUNTERPARTY_NOT_RESPONDING` - The counterparty is not responding.
* `COUNTERPARTY_DOES_NOT_AGREE_TO_DELIVERY_DETAILS` - The counterparty does not agree to the delivery details.
* `COUNTERPARTY_NOT_ACCEPTING` - The counterparty is not accepting the transfer.
    Enum: "COUNTERPARTY_NOT_INSTRUCTING", "COUNTERPARTY_NOT_RESPONDING", "COUNTERPARTY_DOES_NOT_AGREE_TO_DELIVERY_DETAILS", "COUNTERPARTY_NOT_ACCEPTING"

  - `webhook_id` (string, required)
    Webhook unique identifier.

## Request examples:

  - `INCOMING - NEW` (unknown)

  - `INCOMING - SETTLED` (unknown)

  - `OUTGOING - NEW` (unknown)

  - `OUTGOING - SETTLED` (unknown)

## Response 200:

  - `200` (unknown)
    Request has been processed successfully.

